# Class Exchange

    java.lang.Object
       |
       +----Exchange

class Exchange
extends Object

This class defines the structure of a sub-pop exchange. It contains fields for the following lil-gp parameters:
`

- exch[#].from
- exch[#].fromselect
- exch[#].to
- exch[#].toselect
- exch[#].count

`
It also stores the key value used when these objects are hashed.

See Also:
  SubPopFrame

##

count
fromPop
fromSelect
key
toPop
toSelect

##

Exchange(Exchange)
  This constructor allows you to create a new exchange from an existing one
Exchange(String, String, String, String, String, String)
  This constructor allows you to specify each field of the object

##

fromPop

      public String fromPop

toPop

      public String toPop

count

      public String count

fromSelect

      public String fromSelect

toSelect

      public String toSelect

key

      public String key

##

Exchange

      public Exchange(String fp,
                      String tp,
                      String c,
                      String fs,
                      String ts,
                      String k)

  This constructor allows you to specify each field of the object

Exchange

      public Exchange(Exchange e)

  This constructor allows you to create a new exchange from an existing one